- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Matrix Class Reference

`#include <matlabmatrix.h>`

Inheritance diagram for Matrix:

[legend]
Collaboration diagram for Matrix:

[legend]
List of all members.

## Public Member Functions
| Matrix (int height, int width)
| Matrix (double *data, int height, int width)
| Matrix (const mxArray *ptr)
| Matrix (mxArray *&ptr, int height, int width)
| Matrix (const Matrix &source)
| ~Matrix ()
Matrix & | operator= (const Matrix &source)
int | height () const
int | width () const
bool | operator== (const Matrix &X) const
bool | operator!= (const Matrix &X) const
double | entry (int r, int c) const
double & | entry (int r, int c)
double | operator() (int r, int c) const
double & | operator() (int r, int c)
## Protected Attributes
int | h
int | w

## Detailed Description

Definition at line 30 of file matlabmatrix.h.

## Constructor & Destructor Documentation

Matrix::Matrix | ( | int | height,
|  | int | width |
| ) |  |  |

Matrix::Matrix | ( | double * | data,
|  | int | height,
|  | int | width |
| ) |  |  |

Matrix::Matrix | ( | const mxArray * | ptr | ) | `[explicit]`

Matrix::Matrix | ( | mxArray *& | ptr,
|  | int | height,
|  | int | width |
| ) |  |  |

Matrix::Matrix | ( | const Matrix & | source | ) |

Matrix::~Matrix | ( |  | ) | `[inline]`

Definition at line 56 of file matlabmatrix.h.

## Member Function Documentation

Matrix& Matrix::operator= | ( | const Matrix & | source | ) |

int Matrix::height | ( |  | ) | const`[inline]`

Definition at line 63 of file matlabmatrix.h.

References h.

int Matrix::width | ( |  | ) | const`[inline]`

Definition at line 64 of file matlabmatrix.h.

References w.

bool Matrix::operator== | ( | const Matrix & | X | ) | const

bool Matrix::operator!= | ( | const Matrix & | X | ) | const`[inline]`

Definition at line 69 of file matlabmatrix.h.

double Matrix::entry | ( | int | r,
|  | int | c |
| ) |  |  | const

Referenced by operator()().

double& Matrix::entry | ( | int | r,
|  | int | c |
| ) |  |  |

double Matrix::operator() | ( | int | r,
|  | int | c |
| ) |  |  | const`[inline]`

Definition at line 75 of file matlabmatrix.h.

References entry().

double& Matrix::operator() | ( | int | r,
|  | int | c |
| ) |  |  | `[inline]`

Definition at line 76 of file matlabmatrix.h.

References entry().

## Member Data Documentation

int Matrix::h`[protected]`

Definition at line 76 of file matlabmatrix.h.

Referenced by height().

int Matrix::w`[protected]`

Definition at line 80 of file matlabmatrix.h.

Referenced by width().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/contrib/MatlabInterface-Old/src/matlabmatrix.h